--- old/usr/src/uts/common/crypto/io/aes.c	Thu Jul 11 01:29:49 2013
+++ new/usr/src/uts/common/crypto/io/aes.c	Thu Jul 11 01:29:50 2013
@@ -306,8 +306,6 @@
 	return (rv);
 }
 
-/* EXPORT DELETE START */
-
 /*
  * Initialize key schedules for AES
  */
@@ -336,8 +334,6 @@
 	return (CRYPTO_SUCCESS);
 }
 
-/* EXPORT DELETE END */
-
 /*
  * KCF software provider control entry points.
  */
@@ -372,9 +368,6 @@
     crypto_key_t *key, crypto_spi_ctx_template_t template,
     crypto_req_handle_t req, boolean_t is_encrypt_init)
 {
-
-/* EXPORT DELETE START */
-
 	aes_ctx_t *aes_ctx;
 	int rv;
 	int kmflag;
@@ -400,8 +393,6 @@
 
 	ctx->cc_provider_private = aes_ctx;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -427,8 +418,6 @@
 {
 	int ret = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	aes_ctx_t *aes_ctx;
 	size_t saved_length, saved_offset, length_needed;
 
@@ -534,8 +523,6 @@
 	ASSERT(aes_ctx->ac_remainder_len == 0);
 	(void) aes_free_context(ctx);
 
-/* EXPORT DELETE END */
-
 	return (ret);
 }
 
@@ -546,8 +533,6 @@
 {
 	int ret = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	aes_ctx_t *aes_ctx;
 	off_t saved_offset;
 	size_t saved_length, length_needed;
@@ -652,8 +637,6 @@
 cleanup:
 	(void) aes_free_context(ctx);
 
-/* EXPORT DELETE END */
-
 	return (ret);
 }
 
@@ -825,9 +808,6 @@
 aes_encrypt_final(crypto_ctx_t *ctx, crypto_data_t *data,
     crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	aes_ctx_t *aes_ctx;
 	int ret;
 
@@ -878,8 +858,6 @@
 
 	(void) aes_free_context(ctx);
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -888,9 +866,6 @@
 aes_decrypt_final(crypto_ctx_t *ctx, crypto_data_t *data,
     crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	aes_ctx_t *aes_ctx;
 	int ret;
 	off_t saved_offset;
@@ -987,8 +962,6 @@
 
 	(void) aes_free_context(ctx);
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -1294,9 +1267,6 @@
     crypto_mechanism_t *mechanism, crypto_key_t *key,
     crypto_spi_ctx_template_t *tmpl, size_t *tmpl_size, crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	void *keysched;
 	size_t size;
 	int rv;
@@ -1327,8 +1297,6 @@
 	*tmpl = keysched;
 	*tmpl_size = size;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -1336,9 +1304,6 @@
 static int
 aes_free_context(crypto_ctx_t *ctx)
 {
-
-/* EXPORT DELETE START */
-
 	aes_ctx_t *aes_ctx = ctx->cc_provider_private;
 
 	if (aes_ctx != NULL) {
@@ -1352,8 +1317,6 @@
 		ctx->cc_provider_private = NULL;
 	}
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -1364,9 +1327,6 @@
     boolean_t is_encrypt_init)
 {
 	int rv = CRYPTO_SUCCESS;
-
-/* EXPORT DELETE START */
-
 	void *keysched;
 	size_t size;
 
@@ -1444,8 +1404,6 @@
 		}
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
--- old/usr/src/uts/common/crypto/io/arcfour.c	Thu Jul 11 01:29:50 2013
+++ new/usr/src/uts/common/crypto/io/arcfour.c	Thu Jul 11 01:29:50 2013
@@ -201,9 +201,6 @@
     crypto_key_t *key, crypto_spi_ctx_template_t template,
     crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	ARCFour_key *keystream;
 
 	if ((mechanism)->cm_type != RC4_MECH_INFO_TYPE)
@@ -229,8 +226,6 @@
 
 	ctx->cc_provider_private = keystream;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -255,8 +250,6 @@
 {
 	int ret = CRYPTO_SUCCESS;
 
-/* EXPORT DELETE START */
-
 	ARCFour_key *key;
 	off_t saveoffset;
 
@@ -484,8 +477,6 @@
 	output->cd_offset = saveoffset;
 	output->cd_length = input->cd_length;
 
-/* EXPORT DELETE END */
-
 	return (ret);
 }
 
@@ -527,9 +518,6 @@
 static int
 rc4_free_context(crypto_ctx_t *ctx)
 {
-
-/* EXPORT DELETE START */
-
 	ARCFour_key *keystream = ctx->cc_provider_private;
 
 	if (keystream != NULL) {
@@ -538,8 +526,6 @@
 		ctx->cc_provider_private = NULL;
 	}
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
--- old/usr/src/uts/common/crypto/io/blowfish.c	Thu Jul 11 01:29:51 2013
+++ new/usr/src/uts/common/crypto/io/blowfish.c	Thu Jul 11 01:29:51 2013
@@ -240,7 +240,6 @@
 static int
 init_keysched(crypto_key_t *key, void *keysched)
 {
-/* EXPORT DELETE START */
 	/*
 	 * Only keys by value are supported by this module.
 	 */
@@ -256,7 +255,6 @@
 	}
 
 	blowfish_init_keysched(key->ck_data, key->ck_length, keysched);
-/* EXPORT DELETE END */
 	return (CRYPTO_SUCCESS);
 }
 
@@ -278,9 +276,6 @@
     crypto_key_t *key, crypto_spi_ctx_template_t template,
     crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	blowfish_ctx_t *blowfish_ctx;
 	int rv;
 	int kmflag;
@@ -320,8 +315,6 @@
 
 	ctx->cc_provider_private = blowfish_ctx;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -345,8 +338,6 @@
 {
 	int ret;
 
-/* EXPORT DELETE START */
-
 	blowfish_ctx_t *blowfish_ctx;
 
 	/*
@@ -378,8 +369,6 @@
 	ASSERT(blowfish_ctx->bc_remainder_len  == 0);
 	(void) blowfish_free_context(ctx);
 
-/* EXPORT DELETE END */
-
 	/* LINTED */
 	return (ret);
 }
@@ -391,8 +380,6 @@
 {
 	int ret;
 
-/* EXPORT DELETE START */
-
 	blowfish_ctx_t *blowfish_ctx;
 
 	/*
@@ -424,8 +411,6 @@
 	ASSERT(blowfish_ctx->bc_remainder_len == 0);
 	(void) blowfish_free_context(ctx);
 
-/* EXPORT DELETE END */
-
 	/* LINTED */
 	return (ret);
 }
@@ -561,9 +546,6 @@
 blowfish_encrypt_final(crypto_ctx_t *ctx, crypto_data_t *data,
     crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	blowfish_ctx_t *blowfish_ctx;
 
 	ASSERT(ctx->cc_provider_private != NULL);
@@ -580,8 +562,6 @@
 	(void) blowfish_free_context(ctx);
 	data->cd_length = 0;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -590,9 +570,6 @@
 blowfish_decrypt_final(crypto_ctx_t *ctx, crypto_data_t *data,
     crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	blowfish_ctx_t *blowfish_ctx;
 
 	ASSERT(ctx->cc_provider_private != NULL);
@@ -609,8 +586,6 @@
 	(void) blowfish_free_context(ctx);
 	data->cd_length = 0;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -797,9 +772,6 @@
     crypto_mechanism_t *mechanism, crypto_key_t *key,
     crypto_spi_ctx_template_t *tmpl, size_t *tmpl_size, crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	void *keysched;
 	size_t size;
 	int rv;
@@ -825,8 +797,6 @@
 	*tmpl = keysched;
 	*tmpl_size = size;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -859,8 +829,6 @@
 {
 	int rv = CRYPTO_SUCCESS;
 
-/* EXPORT DELETE START */
-
 	void *keysched;
 	size_t size;
 
@@ -898,7 +866,5 @@
 		}
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
--- old/usr/src/uts/common/crypto/io/rsa.c	Thu Jul 11 01:29:52 2013
+++ new/usr/src/uts/common/crypto/io/rsa.c	Thu Jul 11 01:29:52 2013
@@ -315,13 +315,9 @@
     crypto_data_t *, crypto_data_t *);
 static int compare_data(crypto_data_t *, uchar_t *);
 
-/* EXPORT DELETE START */
-
 static int core_rsa_encrypt(crypto_key_t *, uchar_t *, int, uchar_t *, int);
 static int core_rsa_decrypt(crypto_key_t *, uchar_t *, int, uchar_t *);
 
-/* EXPORT DELETE END */
-
 static crypto_kcf_provider_handle_t rsa_prov_handle = NULL;
 
 int
@@ -373,8 +369,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	uchar_t *modulus;
 	ssize_t modulus_len; /* In bytes */
 
@@ -397,8 +391,6 @@
 	    modulus_len > MAX_RSA_KEYLENGTH_IN_BYTES)
 		return (CRYPTO_KEY_SIZE_RANGE);
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -598,8 +590,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	int plen;
 	uchar_t *ptptr;
 	uchar_t *modulus;
@@ -656,13 +646,9 @@
 		ciphertext->cd_length = modulus_len;
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
-/* EXPORT DELETE START */
-
 static int
 core_rsa_encrypt(crypto_key_t *key, uchar_t *in,
     int in_len, uchar_t *out, int is_public)
@@ -704,8 +690,6 @@
 	return (rv);
 }
 
-/* EXPORT DELETE END */
-
 /* ARGSUSED */
 static int
 rsaprov_decrypt(crypto_ctx_t *ctx, crypto_data_t *ciphertext,
@@ -752,8 +736,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	size_t plain_len;
 	uchar_t *ctptr;
 	uchar_t *modulus;
@@ -802,13 +784,9 @@
 		plaintext->cd_length = plain_len;
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
-/* EXPORT DELETE START */
-
 static int
 core_rsa_decrypt(crypto_key_t *key, uchar_t *in, int in_len, uchar_t *out)
 {
@@ -863,8 +841,6 @@
 	return (rv);
 }
 
-/* EXPORT DELETE END */
-
 /* ARGSUSED */
 static int
 rsa_sign_verify_common_init(crypto_ctx_t *ctx, crypto_mechanism_t *mechanism,
@@ -961,8 +937,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	uchar_t digest[SHA512_DIGEST_LENGTH];
 	/* The der_data size is enough for MD5 also */
 	uchar_t der_data[SHA512_DIGEST_LENGTH + SHA2_DER_PREFIX_Len];
@@ -1068,8 +1042,6 @@
 		rv = rsa_verify_common(mech_type, ctxp->key, &der_cd,
 		    signature);
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -1079,8 +1051,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	int dlen;
 	uchar_t *dataptr, *modulus;
 	ssize_t modulus_len;
@@ -1149,8 +1119,6 @@
 		signature->cd_length = modulus_len;
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -1297,8 +1265,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	uchar_t *sigptr, *modulus;
 	ssize_t modulus_len;
 	uchar_t plain_data[MAX_RSA_KEYLENGTH_IN_BYTES];
@@ -1346,8 +1312,6 @@
 			rv = CRYPTO_SIGNATURE_INVALID;
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -1503,8 +1467,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	size_t data_len;
 	uchar_t *sigptr, *modulus;
 	ssize_t modulus_len;
@@ -1551,8 +1513,6 @@
 		return (rv);
 	data->cd_length = data_len;
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
--- old/usr/src/uts/common/des/Makefile	Thu Jul 11 01:29:52 2013
+++ new/usr/src/uts/common/des/Makefile	Thu Jul 11 01:29:52 2013
@@ -50,23 +50,4 @@
 $(ROOTDIRS):
 	$(INS.dir)
 
-# EXPORT DELETE START
-EXPORT_SRC:
-	$(RM) Makefile+ des_crypt.c+ des_soft.c+ desdata.h+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< des_crypt.c > des_crypt.c+
-	$(MV) des_crypt.c+ des_crypt.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< des_soft.c > des_soft.c+
-	$(MV) des_soft.c+ des_soft.c
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< desdata.h > desdata.h+
-	$(MV) desdata.h+ desdata.h
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(RM) Makefile
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile des_crypt.c des_soft.c desdata.h
-
-# EXPORT DELETE END
 check:	$(CHECKHDRS)
--- old/usr/src/uts/common/des/des_crypt.c	Thu Jul 11 01:29:53 2013
+++ new/usr/src/uts/common/des/des_crypt.c	Thu Jul 11 01:29:53 2013
@@ -51,7 +51,6 @@
 #define	_DES_IMPL
 #include <des/des_impl.h>
 
-/* EXPORT DELETE START */
 #include <sys/types.h>
 #include <rpc/des_crypt.h>
 #include <des/des.h>
@@ -73,8 +72,6 @@
 
 extern int _des_crypt(char *buf, size_t len, struct desparams *desp);
 
-/* EXPORT DELETE END */
-
 extern struct mod_ops mod_cryptoops;
 
 /*
@@ -97,15 +94,11 @@
 	NULL
 };
 
-/* EXPORT DELETE START */
-
 #define	DES_MIN_KEY_LEN		DES_MINBYTES
 #define	DES_MAX_KEY_LEN		DES_MAXBYTES
 #define	DES3_MIN_KEY_LEN	DES3_MAXBYTES	/* no CKK_DES2 support */
 #define	DES3_MAX_KEY_LEN	DES3_MAXBYTES
 
-/* EXPORT DELETE END */
-
 #ifndef DES_MIN_KEY_LEN
 #define	DES_MIN_KEY_LEN		0
 #endif
@@ -311,7 +304,6 @@
 cbc_crypt(char *key, char *buf, size_t len, unsigned int mode, char *ivec)
 {
 	int err = 0;
-/* EXPORT DELETE START */
 	struct desparams dp;
 
 	dp.des_mode = CBC;
@@ -318,7 +310,6 @@
 	COPY8(ivec, dp.des_ivec);
 	err = common_crypt(key, buf, len, mode, &dp);
 	COPY8(dp.des_ivec, ivec);
-/* EXPORT DELETE END */
 	return (err);
 }
 
@@ -331,18 +322,15 @@
 ecb_crypt(char *key, char *buf, size_t len, unsigned int mode)
 {
 	int err = 0;
-/* EXPORT DELETE START */
 	struct desparams dp;
 
 	dp.des_mode = ECB;
 	err = common_crypt(key, buf, len, mode, &dp);
-/* EXPORT DELETE END */
 	return (err);
 }
 
 
 
-/* EXPORT DELETE START */
 /*
  * Common code to cbc_crypt() & ecb_crypt()
  */
@@ -428,8 +416,6 @@
 	return (CRYPTO_SUCCESS);
 }
 
-/* EXPORT DELETE END */
-
 /*
  * KCF software provider control entry points.
  */
@@ -449,8 +435,6 @@
     crypto_req_handle_t req)
 {
 
-/* EXPORT DELETE START */
-
 	des_strength_t strength;
 	des_ctx_t *des_ctx = NULL;
 	int rv;
@@ -504,8 +488,6 @@
 
 	ctx->cc_provider_private = des_ctx;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -549,7 +531,6 @@
 {
 	int ret;
 
-/* EXPORT DELETE START */
 	des_ctx_t *des_ctx;
 
 	/*
@@ -581,8 +562,6 @@
 	ASSERT(des_ctx->dc_remainder_len == 0);
 	(void) des_free_context(ctx);
 
-/* EXPORT DELETE END */
-
 	/* LINTED */
 	return (ret);
 }
@@ -594,7 +573,6 @@
 {
 	int ret;
 
-/* EXPORT DELETE START */
 	des_ctx_t *des_ctx;
 
 	/*
@@ -626,8 +604,6 @@
 	ASSERT(des_ctx->dc_remainder_len == 0);
 	(void) des_free_context(ctx);
 
-/* EXPORT DELETE END */
-
 	/* LINTED */
 	return (ret);
 }
@@ -641,8 +617,6 @@
 	size_t saved_length, out_len;
 	int ret = CRYPTO_SUCCESS;
 
-/* EXPORT DELETE START */
-
 	ASSERT(ctx->cc_provider_private != NULL);
 
 	DES_ARG_INPLACE(plaintext, ciphertext);
@@ -693,8 +667,6 @@
 	}
 	ciphertext->cd_offset = saved_offset;
 
-/* EXPORT DELETE END */
-
 	return (ret);
 }
 
@@ -707,8 +679,6 @@
 	size_t saved_length, out_len;
 	int ret = CRYPTO_SUCCESS;
 
-/* EXPORT DELETE START */
-
 	ASSERT(ctx->cc_provider_private != NULL);
 
 	DES_ARG_INPLACE(ciphertext, plaintext);
@@ -759,8 +729,6 @@
 	}
 	plaintext->cd_offset = saved_offset;
 
-/* EXPORT DELETE END */
-
 	return (ret);
 }
 
@@ -769,9 +737,6 @@
 des_encrypt_final(crypto_ctx_t *ctx, crypto_data_t *ciphertext,
     crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	des_ctx_t *des_ctx;
 
 	ASSERT(ctx->cc_provider_private != NULL);
@@ -788,8 +753,6 @@
 	(void) des_free_context(ctx);
 	ciphertext->cd_length = 0;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -798,9 +761,6 @@
 des_decrypt_final(crypto_ctx_t *ctx, crypto_data_t *plaintext,
     crypto_req_handle_t req)
 {
-
-/* EXPORT DELETE START */
-
 	des_ctx_t *des_ctx;
 
 	ASSERT(ctx->cc_provider_private != NULL);
@@ -817,8 +777,6 @@
 	(void) des_free_context(ctx);
 	plaintext->cd_length = 0;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -831,8 +789,6 @@
 {
 	int ret;
 
-/* EXPORT DELETE START */
-
 	des_ctx_t des_ctx;		/* on the stack */
 	des_strength_t strength;
 	off_t saved_offset;
@@ -923,8 +879,6 @@
 	}
 	ciphertext->cd_offset = saved_offset;
 
-/* EXPORT DELETE END */
-
 	/* LINTED */
 	return (ret);
 }
@@ -938,8 +892,6 @@
 {
 	int ret;
 
-/* EXPORT DELETE START */
-
 	des_ctx_t des_ctx;	/* on the stack */
 	des_strength_t strength;
 	off_t saved_offset;
@@ -1030,8 +982,6 @@
 	}
 	plaintext->cd_offset = saved_offset;
 
-/* EXPORT DELETE END */
-
 	/* LINTED */
 	return (ret);
 }
@@ -1046,8 +996,6 @@
     crypto_spi_ctx_template_t *tmpl, size_t *tmpl_size, crypto_req_handle_t req)
 {
 
-/* EXPORT DELETE START */
-
 	des_strength_t strength;
 	void *keysched;
 	size_t size;
@@ -1088,8 +1036,6 @@
 	*tmpl = keysched;
 	*tmpl_size = size;
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -1097,9 +1043,6 @@
 static int
 des_free_context(crypto_ctx_t *ctx)
 {
-
-/* EXPORT DELETE START */
-
 	des_ctx_t *des_ctx = ctx->cc_provider_private;
 
 	if (des_ctx != NULL) {
@@ -1113,8 +1056,6 @@
 		ctx->cc_provider_private = NULL;
 	}
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -1127,9 +1068,6 @@
 des_key_check(crypto_provider_handle_t pd, crypto_mechanism_t *mech,
     crypto_key_t *key)
 {
-
-/* EXPORT DELETE START */
-
 	int expectedkeylen;
 	des_strength_t strength;
 	uint8_t keydata[DES3_MAX_KEY_LEN];
@@ -1163,8 +1101,6 @@
 	if (des_keycheck(keydata, strength, key->ck_data) == B_FALSE)
 		return (CRYPTO_WEAK_KEY);
 
-/* EXPORT DELETE END */
-
 	return (CRYPTO_SUCCESS);
 }
 
@@ -1176,8 +1112,6 @@
 {
 	int rv = CRYPTO_SUCCESS;
 
-/* EXPORT DELETE START */
-
 	void *keysched;
 	size_t size;
 
@@ -1222,7 +1156,5 @@
 		}
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
--- old/usr/src/uts/common/des/des_soft.c	Thu Jul 11 01:29:54 2013
+++ new/usr/src/uts/common/des/des_soft.c	Thu Jul 11 01:29:54 2013
@@ -60,10 +60,8 @@
     unsigned int dir);
 static void des_encrypt(u_char *data, struct deskeydata *kd);
 
-/* EXPORT DELETE START */
 #define	btst(k, b)	(k[b >> 3] & (0x80 >> (b & 07)))
 #define	BIT28	(1<<28)
-/* EXPORT DELETE END */
 
 /*
  * Software encrypt or decrypt a block of data (multiple of 8 bytes)
@@ -73,7 +71,6 @@
 int
 _des_crypt(char *buf, size_t len, struct desparams *desp)
 {
-/* EXPORT DELETE START */
 	short i;
 	uint_t mode;
 	uint_t dir;
@@ -112,7 +109,6 @@
 		buf += 8;
 		len -= 8;
 	}
-/* EXPORT DELETE END */
 	return (1);
 }
 
@@ -125,7 +121,6 @@
 static void
 des_setkey(u_char userkey[8], struct deskeydata *kd, unsigned int dir)
 {
-/* EXPORT DELETE START */
 	int32_t C, D;
 	short i;
 
@@ -206,7 +201,6 @@
 			bbit >>= 8;
 		}
 	}
-/* EXPORT DELETE END */
 }
 
 
@@ -222,7 +216,6 @@
 static void
 des_encrypt(u_char *data, struct deskeydata *kd)
 {
-/* EXPORT DELETE START */
 	chunk_t work1, work2;
 
 	/*
@@ -400,5 +393,4 @@
 	data[5] = work2.byte5;
 	data[6] = work2.byte6;
 	data[7] = work2.byte7;
-/* EXPORT DELETE END */
 }
--- old/usr/src/uts/common/des/desdata.h	Thu Jul 11 01:29:54 2013
+++ new/usr/src/uts/common/des/desdata.h	Thu Jul 11 01:29:54 2013
@@ -52,7 +52,6 @@
 #define	static
 #endif
 
-/* EXPORT DELETE START */
 /*
  * Permuted-choice 1 from the key bits
  * to yield C and D.
@@ -1081,7 +1080,6 @@
 	0x0a100401U, 0x0a100c01U, 0x0a120401U, 0x0a120c01U,
 	0x0a100421U, 0x0a100c21U, 0x0a120421U, 0x0a120c21U,
 };
-/* EXPORT DELETE END */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/gssapi/Makefile	Thu Jul 11 01:29:55 2013
+++ new/usr/src/uts/common/gssapi/Makefile	Thu Jul 11 01:29:55 2013
@@ -88,36 +88,3 @@
 
 clean:
 	$(RM) $(DERIVED_FILES)
-
-# EXPORT DELETE START
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree
-EXPORT_SRC:
-	$(RM) Makefile+ gssd.x+ gssd_clnt_stubs.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< gssd.x > gssd.x+
-	$(MV) gssd.x+ gssd.x
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< gssd_clnt_stubs.c > gssd_clnt_stubs.c+
-	$(MV) gssd_clnt_stubs.c+ gssd_clnt_stubs.c
-	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 Makefile gssd.x gssd_clnt_stubs.c
-
-# CRYPT DELETE START
-# Special target to clean up the source tree for domestic distribution
-# Warning: This target changes the source tree
-
-CRYPT_SRC:
-	$(RM) Makefile+ gssd_clnt_stubs.c+
-	sed  -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	sed -e "/CRYPT DELETE START/,/CRYPT DELETE END/d" \
-		< gssd_clnt_stubs.c > gssd_clnt_stubs.c+
-	$(MV) gssd_clnt_stubs.c+ gssd_clnt_stubs.c 
-	$(CHMOD) 444 Makefile gssd_clnt_stubs.c
-
-# CRYPT DELETE END
-# EXPORT DELETE END
--- old/usr/src/uts/common/gssapi/gssd.x	Thu Jul 11 01:29:55 2013
+++ new/usr/src/uts/common/gssapi/gssd.x	Thu Jul 11 01:29:56 2013
@@ -265,7 +265,6 @@
 	OM_UINT32	status;			/* status of GSSAPI call */
 };
 
-%/* EXPORT DELETE START */
 struct gss_seal_arg {
 	OM_UINT32	gssd_context_verifier;	/* verifier for context handles */
 	GSS_CTX_ID_T	context_handle;		/* handle to existing context */
@@ -295,8 +294,6 @@
 	OM_UINT32	status;			/* status of GSSAPI call */
 };
 
-%/* EXPORT DELETE END */
-
 struct gss_display_status_arg {
 	uid_t		uid;			/* client uid */
 	int		status_value;		/* status to be converted */
@@ -482,8 +479,6 @@
 		GSS_INQUIRE_CRED(gss_inquire_cred_arg)			= 12;
 
 
-/* EXPORT DELETE START */
-
 	/*
 	 *  Called to seal a message.
 	 */
@@ -494,8 +489,6 @@
 	 */
 	gss_unseal_res	GSS_UNSEAL(gss_unseal_arg)			= 14;
 
-/* EXPORT DELETE END */
-
 	/*
 	 * gsscred interface functions to obtain principal uid and gids
 	 */
--- old/usr/src/uts/common/gssapi/gssd_clnt_stubs.c	Thu Jul 11 01:29:56 2013
+++ new/usr/src/uts/common/gssapi/gssd_clnt_stubs.c	Thu Jul 11 01:29:56 2013
@@ -70,7 +70,6 @@
 static OM_uint32 kgss_verify_wrapped(void *, OM_uint32 *, gss_ctx_id_t,
 	gss_buffer_t, gss_buffer_t, int *qop_state, OM_uint32);
 
-/* EXPORT DELETE START */
 static OM_uint32 kgss_seal_wrapped(void *, OM_uint32 *, gss_ctx_id_t,
 	int, int, gss_buffer_t, int *, gss_buffer_t,  OM_uint32);
 
@@ -77,7 +76,6 @@
 static OM_uint32 kgss_unseal_wrapped(void *, OM_uint32 *, gss_ctx_id_t,
 	gss_buffer_t, gss_buffer_t, int *conf_state, int *qop_state,
 	OM_uint32);
-/* EXPORT DELETE END */
 
 static OM_uint32 kgss_delete_sec_context_wrapped(void *, OM_uint32 *,
 	gssd_ctx_id_t *, gss_buffer_t, OM_uint32);
@@ -821,24 +819,10 @@
 	NULL,
 	NULL,
 	0,
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 	kgss_unseal_wrapped,
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	NULL,		/* kgss_delete_sec_context_wrapped */
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 	kgss_seal_wrapped,
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	NULL,		/* kgss_import_sec_context */
-/* EXPORT DELETE START */
-/* CRYPT DELETE START */
-#if 0
-/* CRYPT DELETE END */
-	kgss_seal_wrapped,
-	kgss_unseal_wrapped,
-/* CRYPT DELETE START */
-#endif
-/* CRYPT DELETE END */
-/* EXPORT DELETE END */
 	kgss_sign_wrapped,
 	kgss_verify_wrapped
 };
@@ -1789,8 +1773,6 @@
 	    message_buffer, token_buffer, qop_state));
 }
 
-/* EXPORT DELETE START */
-
 /*ARGSUSED*/
 static OM_uint32
 kgss_seal_wrapped(void *private,
@@ -2021,8 +2003,6 @@
 	    output_message_buffer, conf_state, qop_state));
 }
 
-/* EXPORT DELETE END */
-
 OM_uint32
 kgss_display_status(minor_status,
 		status_value,
--- old/usr/src/uts/common/gssapi/include/Makefile	Thu Jul 11 01:29:57 2013
+++ new/usr/src/uts/common/gssapi/include/Makefile	Thu Jul 11 01:29:57 2013
@@ -28,42 +28,4 @@
 # include global definitions
 include ../../../../Makefile.master
 
-# EXPORT DELETE START
-
 all:
-	@$(ECHO) " This Makefile is used to clean up the source tree\n" \
-		"for export distribution.\n" \
-		"[Usage]: make [EXPORT_SRC] [CRYPT_SRC]\n\n" \
-		"WARNING: EXPORT_SRC, CRYPT_SRC targets change the\n" \
-		"source tree and remove the Makefile."
-
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree and removes this Makefile
-
-EXPORT_SRC:
-	$(RM) gssapiP_dummy.h+ mechglueP.h+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< gssapiP_dummy.h > gssapiP_dummy.h+
-	$(MV) gssapiP_dummy.h+ gssapiP_dummy.h
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< mechglueP.h > mechglueP.h+
-	$(MV) mechglueP.h+ mechglueP.h
-	$(RM) Makefile
-	$(CHMOD) 444 gssapiP_dummy.h mechglueP.h
-
-# CRYPT DELETE START
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree.
-
-CRYPT_SRC:
-	$(RM) mechglueP.h+ Makefile+
-	sed -e "/CRYPT DELETE START/,/CRYPT DELETE END/d" \
-		< mechglueP.h > mechglueP.h+
-	$(MV) mechglueP.h+ mechglueP.h
-	sed -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 mechglueP.h Makefile
-	
-# CRYPT DELETE END
-# EXPORT DELETE END
--- old/usr/src/uts/common/gssapi/include/gssapiP_dummy.h	Thu Jul 11 01:29:57 2013
+++ new/usr/src/uts/common/gssapi/include/gssapiP_dummy.h	Thu Jul 11 01:29:57 2013
@@ -215,7 +215,7 @@
 
 #endif
 	/* */);
-/* EXPORT DELETE START */
+
 DUMMY_STATIC OM_uint32 dummy_gss_seal
 	(
 		void *,			/* dummy context */
@@ -244,7 +244,6 @@
 	/* */, OM_uint32
 #endif
 	/* */);
-/* EXPORT DELETE END */
 
 OM_uint32 dummy_gss_display_status
 	(
--- old/usr/src/uts/common/gssapi/include/mechglueP.h	Thu Jul 11 01:29:58 2013
+++ new/usr/src/uts/common/gssapi/include/mechglueP.h	Thu Jul 11 01:29:58 2013
@@ -222,7 +222,6 @@
 		    OM_uint32 *,			/* time_rec */
 		    gss_cred_id_t *		/* delegated_cred_handle */
 	/* */);
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 #endif	/* ! _KERNEL */
 
 /*
@@ -242,7 +241,6 @@
 #endif
 	/* */);
 #ifndef	_KERNEL
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	OM_uint32	    (*gss_process_context_token)
 	(
 		    void *,		/* context */
@@ -340,7 +338,6 @@
 		    OM_uint32 *,	/* initiator_time_rec */
 		    OM_uint32 *		/* acceptor_time_rec */
 	/* */);
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 #endif	/* ! _KERNEL */
 /*
  * Note: there are two gss_seal's in here. Make any changes to both.
@@ -360,7 +357,6 @@
 #endif
 	/* */);
 #ifndef	_KERNEL
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	OM_uint32	    (*gss_export_sec_context)
 	(
 		    void *,		/* context */
@@ -447,52 +443,6 @@
 		gss_buffer_t		/* exported_name */
 	/* */);
 #endif	/* ! _KERNEL */
-/* EXPORT DELETE START */
-/* CRYPT DELETE START */
-/*
- * This block comment is Sun Proprietary: Need-To-Know.
- * What we are doing is leaving the seal and unseal entry points
- * in an obvious place before sign and unsign for the Domestic customer
- * of the Solaris Source Product. The Domestic customer of the Solaris Source
- * Product will have to deal with the problem of creating exportable libgss
- * binaries.
- * In the binary product that Sun builds, these entry points are elsewhere,
- * and bracketed with special comments so that the CRYPT_SRC and EXPORT_SRC
- * targets delete them.
- */
-#if 0
-/* CRYPT DELETE END */
-	OM_uint32	    (*gss_seal)
-	(
-		    void *,		/* context */
-		    OM_uint32 *,	/* minor_status */
-		    const gss_ctx_id_t,	/* context_handle */
-		    int,		/* conf_req_flag */
-		    int,		/* qop_req */
-		    const gss_buffer_t,	/* input_message_buffer */
-		    int *,		/* conf_state */
-		    gss_buffer_t	/* output_message_buffer */
-#ifdef	 _KERNEL
-	/* */, OM_uint32
-#endif
-	/* */);
-	OM_uint32	    (*gss_unseal)
-	(
-		    void *,		/* context */
-		    OM_uint32 *,	/* minor_status */
-		    const gss_ctx_id_t,	/* context_handle */
-		    const gss_buffer_t,	/* input_message_buffer */
-		    gss_buffer_t,	/* output_message_buffer */
-		    int *,		/* conf_state */
-		    int *		/* qop_state */
-#ifdef	 _KERNEL
-	/* */, OM_uint32
-#endif
-	/* */);
-/* CRYPT DELETE START */
-#endif /* 0 */
-/* CRYPT DELETE END */
-/* EXPORT DELETE END */
 	OM_uint32	(*gss_sign)
 	(
 		    void *,		/* context */
@@ -801,7 +751,6 @@
 	(*(KCTX_TO_MECH(ctx)->gss_import_sec_context))(KCTX_TO_PRIVATE(ctx),\
 		minor_st, tkn, int_ctx_id)
 
-/* EXPORT DELETE START */
 #define	KGSS_SEAL(minor_st, ctx, conf_req, qop, msg, conf_state, tkn) \
 	(*(KCTX_TO_MECH(ctx)->gss_seal))(KCTX_TO_PRIVATE(ctx), minor_st, \
 		KCTX_TO_CTX(ctx), conf_req, qop, msg, conf_state, tkn,\
@@ -812,8 +761,6 @@
 		KCTX_TO_CTX(ctx), msg, tkn, conf, qop, \
 		KCTX_TO_CTXV(ctx))
 
-/* EXPORT DELETE END */
-
 #define KGSS_INIT_CONTEXT(ctx) krb5_init_context(ctx)
 #define KGSS_RELEASE_OID(minor_st, oid) krb5_gss_release_oid(minor_st, oid)
 extern OM_uint32 kgss_release_oid(OM_uint32 *, gss_OID *);
--- old/usr/src/uts/common/gssapi/mechs/dummy/Makefile	Thu Jul 11 01:29:59 2013
+++ new/usr/src/uts/common/gssapi/mechs/dummy/Makefile	Thu Jul 11 01:29:59 2013
@@ -27,40 +27,4 @@
 
 include ../../../../../Makefile.master
 
-# EXPORT DELETE START
-
 all:
-	@$(ECHO) " This Makefile is used to clean up the source tree\n" \
-		"for export distribution.\n" \
-		"[Usage]: make [EXPORT_SRC] [CRYPT_SRC]\n\n" \
-		"WARNING: EXPORT_SRC, CRYPT_SRC targets change the\n" \
-		"source tree and remove the Makefile."
-
-# Special target to clean up the source tree for export distribution
-# Warning: This target changes the source tree and removes this Makefile
-
-EXPORT_SRC:
-	$(RM) dmech.c+
-	sed -e "/EXPORT DELETE START/,/EXPORT DELETE END/d" \
-		< dmech.c > dmech.c+
-	$(MV) dmech.c+ dmech.c
-	$(RM) Makefile
-	$(CHMOD) 444 dmech.c
-
-# CRYPT DELETE START
-# CRYPT DELETE START
-# Special target to clean up the source tree for domestic distribution
-# Warning: This target changes the source tree
-
-CRYPT_SRC:
-	$(RM) dmech.c+ Makefile+
-	sed -e "/CRYPT DELETE START/,/CRYPT DELETE END/d" \
-		< dmech.c > dmech.c+
-	$(MV) dmech.c+ dmech.c
-	sed -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d" \
-		< Makefile > Makefile+
-	$(MV) Makefile+ Makefile
-	$(CHMOD) 444 dmech.c Makefile
-
-# CRYPT DELETE END
-# EXPORT DELETE END
--- old/usr/src/uts/common/gssapi/mechs/dummy/dmech.c	Thu Jul 11 01:29:59 2013
+++ new/usr/src/uts/common/gssapi/mechs/dummy/dmech.c	Thu Jul 11 01:29:59 2013
@@ -89,24 +89,10 @@
 	NULL,	/* context */
 	NULL,	/* next */
 	TRUE,	/* uses_kmod */
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 	dummy_gss_unseal,
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	dummy_gss_delete_sec_context,
-/* EXPORT DELETE START */ /* CRYPT DELETE START */
 	dummy_gss_seal,
-/* EXPORT DELETE END */ /* CRYPT DELETE END */
 	dummy_gss_import_sec_context,
-/* EXPORT DELETE START */
-/* CRYPT DELETE START */
-#if 0
-/* CRYPT DELETE END */
-	dummy_gss_seal,
-	dummy_gss_unseal,
-/* CRYPT DELETE START */
-#endif
-/* CRYPT DELETE END */
-/* EXPORT DELETE END */
 	dummy_gss_sign,
 	dummy_gss_verify
 };
@@ -275,7 +261,6 @@
 	return (GSS_S_COMPLETE);
 }
 
-/* EXPORT DELETE START */
 /*ARGSUSED*/
 static OM_uint32
 dummy_gss_seal(context, minor_status, context_handle, conf_req_flag,
@@ -363,8 +348,6 @@
 	return (GSS_S_COMPLETE);
 }
 
-/* EXPORT DELETE END */
-
 /*ARGSUSED*/
 OM_uint32
 	dummy_gss_import_sec_context(ct, minor_status, interprocess_token,
